# Uses of Class
org.w3c.tidy.AttVal

Packages that use AttVal
Package
Description
org.w3c.tidy

## Uses of AttVal in org.w3c.tidy

Fields in org.w3c.tidy declared as AttVal
Modifier and Type
Field
Description
`protected AttVal`
IStack.`attributes`
Attributes.
`protected AttVal`
Node.`attributes`
Attribute/Value linked list.
`protected AttVal`
DOMAttrImpl.`avAdaptee`
wrapped org.w3c.tidy.AttVal.
`protected AttVal`
AttVal.`next`
next AttVal.
Methods in org.w3c.tidy that return AttVal
Modifier and Type
Method
Description
`AttVal`
Lexer.`cloneAttributes(AttVal attrs)`
Clones an attribute value and add eventual asp or php node to node list.
`AttVal`
Node.`getAttrByName(String name)`
Returns an attribute with the given name in the current node.
`AttVal`
AttVal.`getNext()`
Getter for `next`.
`AttVal`
Lexer.`parseAttrs(boolean[] isempty)`
Parse tag attributes.
Methods in org.w3c.tidy with parameters of type AttVal
Modifier and Type
Method
Description
`void`
Report.`attrError(Lexer lexer, Node node, AttVal attribute, short code)`
Prints error messages for attributes.
`void`
AttrCheck.`check(Lexer lexer, Node node, AttVal attval)`
Check the value of an attribute.
`void`
AttrCheckImpl.CheckAlign.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckBool.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckClear.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckColor.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckFsubmit.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckId.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckLang.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckLength.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckName.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckNumber.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckScope.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckScript.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckScroll.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckShape.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckTarget.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckTextDir.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckUrl.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckValign.`check(Lexer lexer, Node node, AttVal attval)`
`void`
AttrCheckImpl.CheckVType.`check(Lexer lexer, Node node, AttVal attval)`
`AttVal`
Lexer.`cloneAttributes(AttVal attrs)`
Clones an attribute value and add eventual asp or php node to node list.
`Attribute`
AttributeTable.`findAttribute(AttVal attval)`
public method for finding attribute definition by name.
`void`
Node.`removeAttribute(AttVal attr)`
Remove an attribute from node and then free it.
`void`
AttVal.`setNext(AttVal next)`
Setter for `next`.
Constructors in org.w3c.tidy with parameters of type AttVal
Modifier
Constructor
Description
``
`AttVal(AttVal next, Attribute dict, int delim, String attribute, String value)`
Instantiates a new AttVal.
``
`AttVal(AttVal next, Attribute dict, Node asp, Node php, int delim, String attribute, String value)`
Instantiates a new AttVal.
`protected`
`DOMAttrImpl(AttVal adaptee)`
instantiates a new DOMAttrImpl which wraps the given AttVal.
`protected`
`DOMAttrMapImpl(AttVal firstAttVal)`
instantiates a new DOMAttrMapImpl for the given AttVal.